if __name__ == '__main__':
    import subprocess
    import argparse
    import skamf
    from os import getcwd
    from os.path import join, dirname
    parser = argparse.ArgumentParser(description='Edit an AMF table')
    parser.add_argument('filenames', type=str, help='paths to the locations of the tables.', nargs='+')
    parser.add_argument('-p', action='store_true', help='set this to use regular python instead of ipython')
    parser.add_argument('--ec', action='store_true', help='set this to include the EC AMF table')
    args = vars(parser.parse_args())
    filenames = [join(getcwd(), name) for name in args['filenames']]
    filenames = ' '.join(filenames)

    editfile = join(dirname(skamf.__file__), '_edit.py')
    if not args['p']:
        subprocess.run(['ipython', '-i', editfile, filenames])
    else:
        subprocess.run(['python', '-i', editfile, filenames])
